r349 - trunk/varnish-cache

phk at projects.linpro.no phk at projects.linpro.no
Thu Jul 6 13:18:34 CEST 2006


Author: phk
Date: 2006-07-06 13:18:34 +0200 (Thu, 06 Jul 2006)
New Revision: 349

Added:
   trunk/varnish-cache/autogen.phk
Log:
My version.



Added: trunk/varnish-cache/autogen.phk
===================================================================
--- trunk/varnish-cache/autogen.phk	2006-07-06 10:18:33 UTC (rev 348)
+++ trunk/varnish-cache/autogen.phk	2006-07-06 11:18:34 UTC (rev 349)
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# $Id: autogen.sh 118 2006-04-05 09:40:22Z phk $
+#
+
+set -ex
+
+if [ -d /usr/local/gnu-autotools/bin ] ; then
+	PATH=${PATH}:/usr/local/gnu-autotools/bin
+	export PATH
+fi
+
+base=$(cd $(dirname $0) && pwd)
+for dir in $base $base/contrib/libevent ; do
+	(
+	echo $dir
+	cd $dir
+	aclocal
+	libtoolize --copy --force
+	aclocal
+	autoheader
+	automake --add-missing --copy --foreign
+	autoconf
+	)
+done
+
+sh configure \
+	--enable-pedantic \
+	--enable-wall  \
+	--enable-werror  \
+	--enable-dependency-tracking \
+	"CFLAGS=-std=c99 -Wno-format"
+
+# This is a safety-measure during development
+( cd lib/libvcl && ./*.tcl )


Property changes on: trunk/varnish-cache/autogen.phk
___________________________________________________________________
Name: svn:executable
   + *




More information about the varnish-commit mailing list